# NCollection_UBTree.hxx File Reference

`#include <NCollection_BaseAllocator.hxx>`

## Defines

#define | DEFINE_HUBTREE(_HUBTREE, _OBJTYPE, _BNDTYPE, _HPARENT)
#define | IMPLEMENT_HUBTREE(_HUBTREE, _HPARENT)

## Define Documentation

#define DEFINE_HUBTREE | ( | _HUBTREE,
|  | _OBJTYPE,
|  | _BNDTYPE,
|  | _HPARENT |  | ) |

| Declaration of handled version of NCollection_UBTree. In the macros below the arguments are: _HUBTREE - the desired name of handled class _OBJTYPE - the name of the object type _BNDTYPE - the name of the bounding box type _HPARENT - the name of parent class (usually MMgt_TShared)

#define IMPLEMENT_HUBTREE | ( | _HUBTREE,
|  | _HPARENT |  | ) |

Value:

    IMPLEMENT_STANDARD_HANDLE (_HUBTREE, _HPARENT)                          \
    IMPLEMENT_STANDARD_RTTIEXT(_HUBTREE, _HPARENT)